package com.ruoyi.interfaces.mapper;

import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.interfaces.domain.PtServiceParam;
import com.ruoyi.interfaces.domain.PtServiceParamKey;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
@DataSource(DataSourceType.SLAVE)
public interface PtServiceParamMapper {

    int deleteByPrimaryKey(PtServiceParamKey key);

    int insert(PtServiceParam record);

    int insertSelective(PtServiceParam record);

    PtServiceParam selectByPrimaryKey(PtServiceParamKey key);

    int updateByPrimaryKeySelective(PtServiceParam record);

    int updateByPrimaryKey(PtServiceParam record);

    List<PtServiceParam> selectAll(String srvid);

    /**
     * 查询数据列表
     *
     * @param srvId
     * @return
     */
    List<PtServiceParam> listBySrvId(@Param("srvId") String srvId);

    int deleteBySrvId(@Param("srvId") String srvId);

}
